#include <catch2/catch_test_macros.hpp>
#include "guecs/sfml/backend.hpp"
#include <fmt/core.h>
#include <string>
#include "parser.hpp"

TEST_CASE("parse a simple example", "[parsing]") {
  sfml::Backend backend;
  guecs::init(&backend);

  auto data = parse_slides("./sample/01-a-good-first-program.md");
  REQUIRE(data->slides.size() > 0);

  auto contents = load_file("./sample/01-a-good-first-program.md");
  Parser rp;
  rp.parse(contents);

  REQUIRE(!rp.error);
}
